public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ruby-xslt/
Date: Fri,  6 Oct 2017 05:16:39 +0000 (UTC)	[thread overview]
Message-ID: <1507266980.e96893fb08966c3f78eb972596ed584845f2bd91.graaff@gentoo> (raw)

commit:     e96893fb08966c3f78eb972596ed584845f2bd91
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Oct  6 05:16:20 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Oct  6 05:16:20 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e96893fb

dev-ruby/ruby-xslt: add 0.9.10

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 dev-ruby/ruby-xslt/Manifest                |  1 +
 dev-ruby/ruby-xslt/ruby-xslt-0.9.10.ebuild | 46 ++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-ruby/ruby-xslt/Manifest b/dev-ruby/ruby-xslt/Manifest
index 627bb7d5690..ed31c3f4f35 100644
--- a/dev-ruby/ruby-xslt/Manifest
+++ b/dev-ruby/ruby-xslt/Manifest
@@ -1 +1,2 @@
+DIST ruby-xslt-0.9.10.gem 35328 SHA256 a6fa14574f8f9cec4ee7a34085545b4f79151d10c0c119f2d2bb62d1fa8ff369 SHA512 b196a517b19c6cb91ed6f4543ecfc6b58532e66f460029d2618e792cfe4078342fcb4428642328cbe6d97d1d942a6025ecff617578fc3abe2b0e414bf61ca1c4 WHIRLPOOL 2ed19e0c3635b214fe4e488e3521128dc35811c6be9d3cb94117fbfa16704f6219c30f6e455be953651bde8e68d5c0a38913429d11533b12796c73d3515cd556
 DIST ruby-xslt-0.9.9.gem 34816 SHA256 7dc7565e90719b5971ef9620f64180848a5d9e983e9abc74d76f7cf1b01a2f72 SHA512 8c23bff3406ae2712663f81fb46525df4938aee5bf85f5497ff33108e4fb0f443ca3389dedbbb9eea233e86e51c24938f699eae2bc62cbf291c04a56a9af36ff WHIRLPOOL a01a8a1cfc94de4455fdebd115eb83d5953977a0d57ac50cbdf6d8a874413744aa1a77fe31cfcab628a9d4cf7bdf45423156bb3ea65e904d598762f9ebd23537

diff --git a/dev-ruby/ruby-xslt/ruby-xslt-0.9.10.ebuild b/dev-ruby/ruby-xslt/ruby-xslt-0.9.10.ebuild
new file mode 100644
index 00000000000..57bd5c84d7e
--- /dev/null
+++ b/dev-ruby/ruby-xslt/ruby-xslt-0.9.10.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_EXTRADOC="ChangeLog.rdoc AUTHORS.rdoc README.rdoc"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="A Ruby class for processing XSLT"
+HOMEPAGE="https://github.com/glejeune/ruby-xslt"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE=""
+
+DEPEND+=" >=dev-libs/libxslt-1.1.12"
+RDEPEND+=" >=dev-libs/libxslt-1.1.12"
+
+all_ruby_prepare() {
+	# Remove forced -g compiler flag.
+	sed -i -e 's/-g //' ext/xslt_lib/extconf.rb || die
+
+	# One test fails but we have installed this code already for a long
+	# time so this probably isn't a regression. No upstream bug tracker
+	# to report the problem :-(
+	sed -i -e '/test_transformation_error/,/^  end/ s:^:#:' test/test.rb || die
+}
+
+each_ruby_configure() {
+	${RUBY} -C ext/xslt_lib extconf.rb || die
+}
+
+each_ruby_compile() {
+	emake -C ext/xslt_lib V=1
+	cp ext/xslt_lib/xslt_lib$(get_modname) lib/xml/ || die
+}
+
+each_ruby_test() {
+	${RUBY} -I../lib:lib -Ctest test.rb || die
+}


             reply	other threads:[~2017-10-06  5:16 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-10-06  5:16 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-12-03  7:13 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ruby-xslt/ Hans de Graaff
2022-06-23  6:00 Hans de Graaff
2022-04-28  5:15 Hans de Graaff
2021-10-26  4:38 Hans de Graaff
2020-07-26  5:52 Hans de Graaff
2019-01-20 18:43 Hans de Graaff
2017-12-26  7:06 Hans de Graaff
2017-12-26  7:06 Hans de Graaff
2017-12-26  7:06 Hans de Graaff
2017-12-26  0:59 Thomas Deutschmann
2017-12-22  6:24 Hans de Graaff
2017-09-18  6:13 Hans de Graaff
2017-07-31  5:32 Hans de Graaff
2016-05-09  5:01 Hans de Graaff
2016-05-09  5:01 Hans de Graaff
2015-11-12  6:51 Hans de Graaff
2015-11-11 10:05 Agostino Sarubbo
2015-11-11  8:54 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1507266980.e96893fb08966c3f78eb972596ed584845f2bd91.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox